Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
acosh.c File Reference
`#include <errno.h>`
`#include <float.h>`
`#include <math.h>`
`#include "ruby.h"`

Go to the source code of this file.

## Macros
#define | DBL_MANT_DIG 53 /* in this case, at least 12 digit precision */
#define | BIG_CRITERIA_BIT (1<<DBL_MANT_DIG/2)
#define | BIG_CRITERIA (1.0*BIG_CRITERIA_BIT)
#define | SMALL_CRITERIA_BIT (1<<(DBL_MANT_DIG/3))
#define | SMALL_CRITERIA (1.0/SMALL_CRITERIA_BIT)

## Functions
double | acosh (double x)
double | asinh (double x)
double | atanh (double x)

## Macro Definition Documentation

## ◆ BIG_CRITERIA

#define BIG_CRITERIA (1.0*BIG_CRITERIA_BIT)

Definition at line 23 of file acosh.c.

## ◆ BIG_CRITERIA_BIT

#define BIG_CRITERIA_BIT (1<<DBL_MANT_DIG/2)

Definition at line 21 of file acosh.c.

## ◆ DBL_MANT_DIG

#define DBL_MANT_DIG 53 /* in this case, at least 12 digit precision */

Definition at line 19 of file acosh.c.

## ◆ SMALL_CRITERIA

#define SMALL_CRITERIA (1.0/SMALL_CRITERIA_BIT)

Definition at line 29 of file acosh.c.

## ◆ SMALL_CRITERIA_BIT

#define SMALL_CRITERIA_BIT (1<<(DBL_MANT_DIG/3))

Definition at line 27 of file acosh.c.

## Function Documentation

## ◆ acosh()

double acosh | ( | double | x | ) |

Definition at line 36 of file acosh.c.

References BIG_CRITERIA, log(), and sqrt().

## ◆ asinh()

double asinh | ( | double | x | ) |

Definition at line 52 of file acosh.c.

References BIG_CRITERIA, DBL_MANT_DIG, fabs(), log(), neg, SMALL_CRITERIA, and sqrt().

## ◆ atanh()

double atanh | ( | double | x | ) |

Definition at line 75 of file acosh.c.

References EDOM, ERANGE, errno, fabs(), isinf, log(), neg, and SMALL_CRITERIA.